# pymodbus.client.asynchronous.factory package

## Submodules

## pymodbus.client.asynchronous.factory.serial module

Factory to create asynchronous serial clients based on twisted/tornado/asyncio

`pymodbus.client.asynchronous.factory.serial.``async_io_factory`(port=None, framer=None, **kwargs)

  Factory to create asyncio based asynchronous serial clients :param port: Serial port :param framer: Modbus Framer :param kwargs: Serial port options :return: asyncio event loop and serial client

`pymodbus.client.asynchronous.factory.serial.``get_factory`(scheduler)

  Gets protocol factory based on the backend scheduler being used :param scheduler: REACTOR/IO_LOOP/ASYNC_IO :return:

`pymodbus.client.asynchronous.factory.serial.``io_loop_factory`(port=None, framer=None, **kwargs)

  Factory to create Tornado based asynchronous serial clients :param port: Serial port :param framer: Modbus Framer :param kwargs: :return: event_loop_thread and tornado future

`pymodbus.client.asynchronous.factory.serial.``reactor_factory`(port, framer, **kwargs)

  Factory to create twisted serial asynchronous client :param port: Serial port :param framer: Modbus Framer :param kwargs: :return: event_loop_thread and twisted serial client

## pymodbus.client.asynchronous.factory.tcp module

Factory to create asynchronous tcp clients based on twisted/tornado/asyncio

`pymodbus.client.asynchronous.factory.tcp.``async_io_factory`(host='127.0.0.1', port=502, framer=None, source_address=None, timeout=None, **kwargs)

  Factory to create asyncio based asynchronous tcp clients :param host: Host IP address :param port: Port :param framer: Modbus Framer :param source_address: Bind address :param timeout: Timeout in seconds :param kwargs: :return: asyncio event loop and tcp client

`pymodbus.client.asynchronous.factory.tcp.``get_factory`(scheduler)

  Gets protocol factory based on the backend scheduler being used :param scheduler: REACTOR/IO_LOOP/ASYNC_IO :return

`pymodbus.client.asynchronous.factory.tcp.``io_loop_factory`(host='127.0.0.1', port=502, framer=None, source_address=None, timeout=None, **kwargs)

  Factory to create Tornado based asynchronous tcp clients :param host: Host IP address :param port: Port :param framer: Modbus Framer :param source_address: Bind address :param timeout: Timeout in seconds :param kwargs: :return: event_loop_thread and tornado future

`pymodbus.client.asynchronous.factory.tcp.``reactor_factory`(host='127.0.0.1', port=502, framer=None, source_address=None, timeout=None, **kwargs)

  Factory to create twisted tcp asynchronous client :param host: Host IP address :param port: Port :param framer: Modbus Framer :param source_address: Bind address :param timeout: Timeout in seconds :param kwargs: :return: event_loop_thread and twisted_deferred

## pymodbus.client.asynchronous.factory.udp module

`pymodbus.client.asynchronous.factory.udp.``async_io_factory`(host='127.0.0.1', port=502, framer=None, source_address=None, timeout=None, **kwargs)

  Factory to create asyncio based asynchronous udp clients :param host: Host IP address :param port: Port :param framer: Modbus Framer :param source_address: Bind address :param timeout: Timeout in seconds :param kwargs: :return: asyncio event loop and udp client

`pymodbus.client.asynchronous.factory.udp.``get_factory`(scheduler)

  Gets protocol factory based on the backend scheduler being used :param scheduler: REACTOR/IO_LOOP/ASYNC_IO :return

`pymodbus.client.asynchronous.factory.udp.``io_loop_factory`(host='127.0.0.1', port=502, framer=None, source_address=None, timeout=None, **kwargs)

  Factory to create Tornado based asynchronous udp clients :param host: Host IP address :param port: Port :param framer: Modbus Framer :param source_address: Bind address :param timeout: Timeout in seconds :param kwargs: :return: event_loop_thread and tornado future

`pymodbus.client.asynchronous.factory.udp.``reactor_factory`(host='127.0.0.1', port=502, framer=None, source_address=None, timeout=None, **kwargs)

  Factory to create twisted udp asynchronous client :param host: Host IP address :param port: Port :param framer: Modbus Framer :param source_address: Bind address :param timeout: Timeout in seconds :param kwargs: :return: event_loop_thread and twisted_deferred